iStat for iOS

Remotely monitor Macs and PCs from anywhere

iStat for iOS 2.1 (version history). iOS 5+ required.

iStat for iOS isn’t available right now — we’re working on a major update, and the older version doesn’t run well under iOS 9. We don’t have an ETA for its return, but it definitely will be back.